function Initialize()
	-- print('Initialized TrayMeasure.lua')
	iconCounter = 0
	updateCounter = 50	-- start at 50... this is so the icon will update about 10s after the skin updates the status file.
	AlertStatus = 0
	RecordingStatus = 0
	UnresolvedConflicts = 0
	StatusFile='C:\\Users\\ToyMaker\\Documents\\Rainmeter\\Skins\\SageTV\\SageTV\\ParserStatus.xml'
end

-- The update() function will be called by [TrayMeaser] every second or so.
function Update()
	-- updateCounter is a way of only reading in the status file once every 60s or so instead of every update.
	
	-- print('updating... AlertStatus='..AlertStatus..'  RecordingStatus='..RecordingStatus..' UnresolvedConflicts ='..UnresolvedConflicts)
	if updateCounter == 0 then
		-- print('Calling readStatusFromFile')
		readStatusFromFile()
	end
	updateCounter = updateCounter + 1
	if updateCounter > 60 then updateCounter =0 end
	
	-- iconCounter is just going to increment to the next appropriate icon and then 'wrap' back to 0
	AlertStatus=tonumber(AlertStatus)
	while true do
		iconCounter=iconCounter+1
		if (iconCounter == 1) then
			-- print ('Return 1')
			return 1
		elseif (iconCounter == 2 and RecordingStatus==1) then
			-- print ('Return 2')
			return 2
		elseif (iconCounter == 3 and UnresolvedConflicts==1) then
			-- print ('Return 3')
			return 3
		elseif (iconCounter == 4 and AlertStatus>0) then -- alert levels can be 0, 1, 2, or 3
			iconCounter = 0
			return (3 + AlertStatus)
		elseif (iconCounter == 4) then
			iconCounter = 0
		end
	end

end
function readStatusFromFile()
	-- DETERMINE FILEPATH
	
	--print('Calling GetOption.')
	--StatusFile = SELF:GetOption('StatusFile')
	
	local ReadFile = io.open(StatusFile)
	if ReadFile then
		local ReadContent = ReadFile:read('*all')
		ReadFile:close()
		
		RecordingStatus=string.match(ReadContent, '<RecordingStatus>(.-)</>') or 'Bad RecordingStatus match.'
		AlertStatus=string.match(ReadContent, '<AlertStatus>(.-)</>') or 'Batch AlertStatus match.'
		UnresolvedConflicts=string.match(ReadContent, '<UnresolvedConflicts>(.-)</>') or 'Bad UnresolvedConflicts match.'
		
		AlertStatus=tonumber(AlertStatus)
		RecordingStatus=tonumber(RecordingStatus)
		UnresolvedConflicts=tonumber(UnresolvedConflicts)
	end

end

