[Rainmeter]
;LocalFonts
LocalFont=#ROOTCONFIGPATH#Fonts\bluehigh.ttf


; ==========================================================================================
[Variables]
;===========================================================================================
; PERSONALIZATION VARIABLES
; change username:password to fit your webserver name and password
Authentication=http://sage:frey@
; change the IP address and port to point at your webserver				
Server=#Authentication#192.168.1.100:8080

;For use with Internet Explorer
ServerLink=http://192.168.1.100:8080
AuthenticationIE=http://

; Don't enable this until you read and follow the instructions in the ReadMe file!
UseTrayIcons=0

;Font Variables
FontFace=Verdana

;Font size variables - large changes will require work elsewhere
HeaderFontSize=12
SubHeaderFontSize=10
ItemTextSize=10
ItemDetailSize=8

;Color Variables: R,G,B, and alpha
Color1=252,247,232
Color2=250,250,100
BarBackColor=#Color2#,40
HighlightColor=255,20,20,255
MouseoverColor=110,230,110,224

; Increase BackgroundAlpha if you want the background less transparent.  (Range=0 to 255)
BackgroundAlpha=100

;Image Variables
ImagePath=#ROOTCONFIGPATH#Images\
		
; Change URL1, UR2, or URL3 to point at whatever airings lists you find interesting
; To get a new one, navigate your brower to the page you like, and right-click on the blue RSS image at the top of the page,
; select 'copy link address' and paste the result here.  Then replace the address part with #server#.  Then change the title
; to something appropriate.
;  No, you can't just create a 4th URL... yet.
URL1Title=Upcoming Recordings
URL1=#Server#/sage/public/Rss/RecordingSchedule
URL2Title=Upcoming Movies
URL2=#Server#/sage/public/Rss/Search?TimeRange=48&Categories=film&Categories=movie&Categories=Movie&SearchString=
URL3Title=Intelligent Suggestions
URL3=#Server#/sage/public/Rss/IRSuggestions

; Change the ItemsToShow variable to select how many airings to show in each list.
; Valid range is 1 through 9.
ItemsToShow=9

;SkinWidth is used to scale the skin horizontally.
SkinWidth=240
;Size of margins
MarginLeft=15
MarginTop=10
MarginBottom=10
MarginRight=15

; tooltip maximum width
TipWidth=200
; Clip fonts taller than this amount
ClipH=15
; clip strings wider than this amount.
ClipW=(#SkinWidth#-#MarginLeft#-#MarginRight#)
; Items are this tall
ItemPitch=30
SkinHeight=(#MarginTop# + #MarginBottom#+25+20+20+#ItemsToShow#*#ItemPitch#+#MarginBottom#)


